---
id: 42-school
title: 42 School
---

## Documentation

https://api.intra.42.fr/apidoc/guides/web_application_flow

## Configuration

https://profile.intra.42.fr/oauth/applications/new

## Options

The **42 School Provider** comes with a set of default options:

- [42 School Provider options](https://github.com/nextauthjs/next-auth/blob/ead715219a5d7a6e882a6ba27fa56b03954d062d/src/providers/42.js)

You can override any of the options to suit your own use case.

## Example

```js
import Providers from `next-auth/providers`
...
providers: [
  Providers.FortyTwo({
    clientId: process.env.FORTY_TWO_CLIENT_ID,
    clientSecret: process.env.FORTY_TWO_CLIENT_SECRET
  })
]
...
```
